﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp1
{
    public partial class Form1 : Form
    {
        /// <summary>
        /// Метод который вычисляет математическое выражение
        /// </summary>
        public void Resh() 
        {
            tbOutput.Clear();
            double x = 0;
            double y = 0;
            //Обработка ошибки
            try
            {
                x = Convert.ToDouble(tbInputX.Text);
            } catch
            {
                tbInputX.Text = "Ошибка";
            }
            try
            {
                y = Convert.ToDouble(tbInputY.Text);
            }
            catch
            {
                tbInputY.Text = "Ошибка";
            }
            double f = Math.Pow(x, 2);
            double temp = x - y;
            double result = 0;
            if (temp == 0)
                result = Math.Sin(f * x) + Math.Cos(f * y);
            if (temp > 0)
                result = Math.Tan(f*(x + y));
            if (temp < 0)
                result = Math.Pow(Math.Sin(f*x), 2) + Math.Pow(Math.Cos(f*y),2);
            result = Math.Round(result, 3);
            OutputAnswer(result);
        }
        /// <summary>
        /// Метод выводит информацию в tbOutput 
        /// </summary>
        public void OutputAnswer(double result)
        {
            tbOutput.Text += "Результат работы программы" + Environment.NewLine;
            tbOutput.Text += "При X = " + tbInputX.Text + Environment.NewLine;
            tbOutput.Text += "При Y = " + tbInputY.Text + Environment.NewLine;
            tbOutput.Text += "C = " + result;
        }

        public Form1()
        {
            InitializeComponent();
        }
        /// <summary>
        /// Обработка нажатия на кнопку
        /// </summary>
        private void btnResh_Click(object sender, EventArgs e)
        {
            Resh();
        }
    }
}
